CMSIS-DSP: arm_atan2_q31.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_atan2_q31.c File Reference

## Macros

#define | ATANHALF_Q29
#define | PIHALF_Q29
#define | PIQ29
#define | ATAN2_NB_COEFS_Q31

## Functions

__STATIC_FORCEINLINE q31_t | arm_atan_limited_q31 (q31_t x)
__STATIC_FORCEINLINE q31_t | arm_atan_q31 (q31_t y, q31_t x)
arm_status | arm_atan2_q31 (q31_t y, q31_t x, q31_t *result)
| Arc Tangent of y/x using sign of y and x to get right quadrant. More...

## Macro Definition Documentation

#define ATAN2_NB_COEFS_Q31

#define ATANHALF_Q29

#define PIHALF_Q29

#define PIQ29

## Function Documentation

__STATIC_FORCEINLINE q31_t arm_atan_limited_q31 | ( | q31_t | x | ) |

__STATIC_FORCEINLINE q31_t arm_atan_q31 | ( | q31_t | y,
|  | q31_t | x
| ) |  |